From 51b55c12aab305b7796e35062b3535a95b18245b Mon Sep 17 00:00:00 2001
From: Nitheesh Sekar <nsekar@codeaurora.org>
Date: Thu, 28 Mar 2019 12:51:37 +0530
Subject: [PATCH 12/17] Mistral: Enable headless config

Enable CONFIG_HEADLESS to avoid the crashes during
recovery and developer mode boot flow. This avoids
the compilation of draw*() APIs which is not needed
for the Mistral board as it does not support
display or video console.

Change-Id: I08652806b9ec249ccc88d9540b7a930fa9ce4c86
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 board/mistral/defconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/board/mistral/defconfig b/board/mistral/defconfig
index aeb0852fb763..a5f740824e4a 100644
--- a/board/mistral/defconfig
+++ b/board/mistral/defconfig
@@ -21,6 +21,7 @@ CONFIG_KERNEL_FIT=y
 CONFIG_KERNEL_FIT_FDT_ADDR=0xB0000000
 
 # Drivers
+CONFIG_HEADLESS=y
 #CONFIG_DRIVER_TPM_SPI is not set
 CONFIG_DRIVER_FLASH_SPI=y
 CONFIG_DRIVER_INPUT_USB=y
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

